Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066027 - Review Request: csdiff - Non-interactive tools for processing code scan results in plain-text
Summary: Review Request: csdiff - Non-interactive tools for processing code scan resul...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1066029
TreeView+ depends on / blocked
 
Reported: 2014-02-17 14:23 UTC by Kamil Dudka
Modified: 2014-03-11 23:59 UTC (History)
4 users (show)

Fixed In Version: csdiff-1.0.2-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-05 05:07:43 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Kamil Dudka 2014-02-17 14:23:12 UTC
Spec URL: http://kdudka.fedorapeople.org/csdiff/csdiff.spec

SRPM URL: http://kdudka.fedorapeople.org/csdiff/csdiff-1.0.1-1.el6.src.rpm

Description: This package contains the csdiff tool for comparing code scan defect lists in order to find out added or fixed defects, and the csgrep utility for filtering defect lists using various filtering predicates.

Fedora Account System Username: kdudka

Comment 1 Ralf Corsepius 2014-02-18 06:30:54 UTC
Same issue (compressed manpages) as with 
https://bugzilla.redhat.com/show_bug.cgi?id=1066029

Comment 2 Dan Horák 2014-02-18 07:54:08 UTC
you can modernize your spec, see https://bugzilla.redhat.com/show_bug.cgi?id=1066026#c2

Comment 3 Kamil Dudka 2014-02-19 16:29:49 UTC
I have fixed CMakeLists.txt so that it does not compress man pages.

Spec URL: http://kdudka.fedorapeople.org/csdiff/csdiff.spec
SRPM URL: http://kdudka.fedorapeople.org/csdiff/csdiff-1.0.2-1.el6.src.rpm

Comment 4 Christopher Meng 2014-02-20 03:20:04 UTC
(In reply to Kamil Dudka from comment #3)
> I have fixed CMakeLists.txt so that it does not compress man pages.
> 
> Spec URL: http://kdudka.fedorapeople.org/csdiff/csdiff.spec
> SRPM URL: http://kdudka.fedorapeople.org/csdiff/csdiff-1.0.2-1.el6.src.rpm

Please do the modernization via comment 2.

Comment 5 Kamil Dudka 2014-02-20 08:58:42 UTC
(In reply to Christopher Meng from comment #4)
> Please do the modernization via comment 2.

Done.  Thank you for taking the review!

Spec URL: http://kdudka.fedorapeople.org/csdiff/csdiff.spec
SRPM URL: http://kdudka.fedorapeople.org/csdiff/csdiff-1.0.2-2.el6.src.rpm

Comment 6 Christopher Meng 2014-02-21 09:10:55 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck:

GPL
---
csdiff-1.0.2/abstract-filter.cc
csdiff-1.0.2/abstract-filter.hh
csdiff-1.0.2/abstract-parser.cc
csdiff-1.0.2/abstract-parser.hh
csdiff-1.0.2/abstract-writer.cc
csdiff-1.0.2/abstract-writer.hh
csdiff-1.0.2/csdiff-core.cc
csdiff-1.0.2/csdiff-core.hh
csdiff-1.0.2/csdiff.cc
csdiff-1.0.2/csfilter.cc
csdiff-1.0.2/csfilter.hh
csdiff-1.0.2/csgrep.cc
csdiff-1.0.2/cshtml.cc
csdiff-1.0.2/cslinker.cc
csdiff-1.0.2/csparser.cc
csdiff-1.0.2/csparser.hh
csdiff-1.0.2/cssort.cc
csdiff-1.0.2/cswriter.cc
csdiff-1.0.2/cswriter.hh
csdiff-1.0.2/cwe-mapper.cc
csdiff-1.0.2/cwe-mapper.hh
csdiff-1.0.2/defect.hh
csdiff-1.0.2/deflookup.cc
csdiff-1.0.2/deflookup.hh
csdiff-1.0.2/defqueue.cc
csdiff-1.0.2/defqueue.hh
csdiff-1.0.2/gcc-parser.cc
csdiff-1.0.2/gcc-parser.hh
csdiff-1.0.2/html-writer.cc
csdiff-1.0.2/html-writer.hh
csdiff-1.0.2/instream.cc
csdiff-1.0.2/instream.hh
csdiff-1.0.2/json-parser.cc
csdiff-1.0.2/json-parser.hh
csdiff-1.0.2/json-writer.cc
csdiff-1.0.2/json-writer.hh
csdiff-1.0.2/make-srpm.sh
csdiff-1.0.2/pycsdiff.cc
csdiff-1.0.2/version.hh

Unknown or generated
--------------------
csdiff-1.0.2/import-boost.sh
csdiff-1.0.2/tests/sync-diff.sh

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: csdiff-1.0.2-2.fc21.i686.rpm
          csdiff-1.0.2-2.fc21.src.rpm
csdiff.src: W: spelling-error %description -l en_US csgrep -> cs grep, cs-grep, grep
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint csdiff
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
csdiff (rpmlib, GLIBC filtered):
    libboost_program_options.so.1.54.0
    libboost_regex.so.1.54.0
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)



Provides
--------
csdiff:
    csdiff
    csdiff(x86-32)



Source checksums
----------------
https://git.fedorahosted.org/cgit/codescan-diff.git/snapshot/csdiff-1.0.2.tar.xz :
  CHECKSUM(SHA256) this package     : d2f286a34abc4349d755fd91f21499e6bc5c2e9ebba098cb3b724d3c21264ea5
  CHECKSUM(SHA256) upstream package : d2f286a34abc4349d755fd91f21499e6bc5c2e9ebba098cb3b724d3c21264ea5


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn csdiff-1.0.2-2.el6.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

------------------------
PACKAGE APPROVED.

Comment 7 Kamil Dudka 2014-02-24 12:24:19 UTC
Thanks for the review!

Comment 8 Kamil Dudka 2014-02-24 12:32:10 UTC
New Package SCM Request
=======================
Package Name: csdiff
Short Description: Non-interactive tools for processing code scan results in plain-text
Owners: kdudka
Branches: f19 f20 el6 epel7
InitialCC:

Comment 9 Gwyn Ciesla 2014-02-24 13:35:04 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-02-24 14:47:30 UTC
csdiff-1.0.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/csdiff-1.0.2-2.el6

Comment 11 Fedora Update System 2014-02-24 14:47:47 UTC
csdiff-1.0.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/csdiff-1.0.2-2.fc19

Comment 12 Fedora Update System 2014-02-24 14:48:44 UTC
csdiff-1.0.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/csdiff-1.0.2-2.fc20

Comment 13 Fedora Update System 2014-02-24 20:09:05 UTC
Package csdiff-1.0.2-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing csdiff-1.0.2-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0666/csdiff-1.0.2-2.el6
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2014-03-05 05:07:43 UTC
csdiff-1.0.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-03-05 05:12:08 UTC
csdiff-1.0.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-03-11 23:59:53 UTC
csdiff-1.0.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.